<h1 mat-dialog-title>Add Locations to {{data.event.title}}</h1>
<mat-dialog-content>
  <mat-checkbox
    *ngFor="let location of data.locations"
    class="checkbox-item" [checked]="data.event.locationIds.includes(location.id)"
    (change)="addLocationToEvent(location, $event.checked)"
  >{{location.name}}</mat-checkbox>
  <mat-progress-bar *ngIf="showProgressIndicator" mode="indeterminate"></mat-progress-bar>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button mat-dialog-close="" color="primary">OK</button>
</mat-dialog-actions>
